Update a blocked email sender
Updates an existing blocked sender pattern. Only provided fields will be modified. The pattern will continue blocking emails until deleted.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Accepted Permissions (at least one required)
Path Parameters
Body ParametersJSON
The pattern value to match. The format depends on pattern_type: a valid email address for EMAIL (e.g. user@example.com), a valid domain name for DOMAIN (e.g. example.com), or a plain IPv4 address or IPv4 CIDR block for IP (e.g. 1.2.3.4 or 1.2.3.0/24); the API accepts only globally reachable IP addresses and rejects private, loopback, link-local, and unspecified addresses.
Update a blocked email sender
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/block_senders/$PATTERN_ID \
-X PATCH \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"comments": "Block sender with email test@example.com",
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Block sender with email test@example.com",
"created_at": "2014-01-01T05:20:00.12345Z",
"is_regex": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Block sender with email test@example.com",
"created_at": "2014-01-01T05:20:00.12345Z",
"is_regex": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"pattern": "test@example.com",
"pattern_type": "EMAIL"
}
}